Subject: Re: [PATCH] Fix kgdb on little endian ppc64le

From: Balbir Singh <[email-masked]>
Date: Tue, 2 Feb 2016 10:31:54 +1100

On Mon, 1 Feb 2016 21:39:00 +1100
Andrew Donnellan <[email-masked]> wrote:

> On 01/02/16 17:03, Balbir Singh wrote:
> > From: Balbir Singh <[email-masked]>
> >
> > I spent some time trying to use kgdb and debugged my inability to
> > resume from kgdb_handle_breakpoint(). NIP is not incremented
> > and that leads to a loop in the debugger.
> >
> > I've tested this lightly on a virtual instance with KDB enabled.
> > After the patch, I am able to get the "go" command to work as
> > expected
> >
> > Signed-off-by: Balbir Singh <[email-masked]>  
> 
> Should this be Cc'd to stable?
> 
> 

Good suggestion, Michael? I can repost this to stable if required?

Balbir Singh.